[arch-commits] Commit in mono/repos (3 files)
daniel at archlinux.org
daniel at archlinux.org
Sat Apr 18 12:44:18 UTC 2009
Date: Saturday, April 18, 2009 @ 08:44:18
Author: daniel
Revision: 35942
Merged revisions 35935 via svnmerge from
svn+ssh://daniel@svn.archlinux.org/srv/svn-packages/mono/trunk
........
r35935 | daniel | 2009-04-18 12:56:16 +0200 (Sat, 18 Apr 2009) | 1 line
Add mini_amd64.patch to fix compile issues of synapse on x86_64. Patch is from http://lists.ximian.com/pipermail/mono-patches/2009-March/144636.html
........
Added:
mono/repos/extra-i686/mini_amd64.patch
(from rev 35935, mono/trunk/mini_amd64.patch)
Modified:
mono/repos/extra-i686/ (properties)
mono/repos/extra-i686/PKGBUILD
------------------+
PKGBUILD | 11 ++++++++---
mini_amd64.patch | 13 +++++++++++++
2 files changed, 21 insertions(+), 3 deletions(-)
Property changes on: mono/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
- /mono/trunk:1-32444
+ /mono/trunk:1-35941
Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2009-04-18 12:21:25 UTC (rev 35941)
+++ extra-i686/PKGBUILD 2009-04-18 12:44:18 UTC (rev 35942)
@@ -4,7 +4,7 @@
pkgname=mono
pkgver=2.4
-pkgrel=1
+pkgrel=2
pkgdesc="Free implementation of the .NET platform including runtime and compiler"
arch=(i686 x86_64)
license=('GPL' 'LGPL2' 'MPL' 'custom:MITX11')
@@ -15,9 +15,11 @@
provides=('monodoc')
conflicts=('monodoc')
source=(http://ftp.novell.com/pub/mono/sources/${pkgname}/${pkgname}-${pkgver}.tar.bz2
- mono.rc.d)
+ mono.rc.d
+ mini_amd64.patch)
md5sums=('da2bf1c0aba2958d26c5e8a9a49fd9d1'
- '8315e46c6a6e9625502521fc0ad1a322')
+ '8315e46c6a6e9625502521fc0ad1a322'
+ '332530de044cabff941c712b7f2ace8e')
build() {
# get rid of that .wapi errors; thanks to brice
@@ -26,6 +28,9 @@
mkdir -p ${startdir}/pkg/usr/share/licenses/$pkgname
# build mono
cd ${startdir}/src/${pkgname}-${pkgver}
+
+ patch -p0 < ${srcdir}/mini_amd64.patch || return 1
+
rm -f libgc/libtool.m4
autoreconf --force --install
autoreconf --force --install libgc
Copied: mono/repos/extra-i686/mini_amd64.patch (from rev 35935, mono/trunk/mini_amd64.patch)
===================================================================
--- extra-i686/mini_amd64.patch (rev 0)
+++ extra-i686/mini_amd64.patch 2009-04-18 12:44:18 UTC (rev 35942)
@@ -0,0 +1,13 @@
+--- mono/mini/mini-amd64.c 2009-03-19 21:08:18 UTC (rev 129824)
++++ mono/mini/mini-amd64.c 2009-03-19 21:09:53 UTC (rev 129825)
+@@ -1009,7 +1009,7 @@
+ locals_size += mono_type_size (ins->inst_vtype, &ialign);
+ }
+
+- if ((cfg->num_varinfo > 10000) || (locals_size >= (1 << 15))) {
++ if ((cfg->num_varinfo > 5000) || (locals_size >= (1 << 15)) || (header->code_size > 110000)) {
+ /* Avoid hitting the stack_alloc_size < (1 << 16) assertion in emit_epilog () */
+ cfg->arch.omit_fp = FALSE;
+ }
+
+
More information about the arch-commits
mailing list